Package: org.codehaus.groovy.classgen.asm.sc

## [Java] Class StaticTypesUnaryExpressionHelper

- org.codehaus.groovy.classgen.asm.sc.StaticTypesUnaryExpressionHelper

- All Implemented Interfaces and Traits:
    org.objectweb.asm.Opcodes

      public class StaticTypesUnaryExpressionHelper
      extends UnaryExpressionHelper

  An unary expression helper which generates optimized bytecode depending on the current type on top of the operand stack.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `StaticTypesUnaryExpressionHelper (WriterController controller)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `void` | `writeBitwiseNegate(BitwiseNegationExpression expression)`
    `` | `void` | `writeNotExpression(NotExpression expression)`
    `` | `void` | `writeUnaryMinus(UnaryMinusExpression expression)`
    `` | `void` | `writeUnaryPlus(UnaryPlusExpression expression)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class UnaryExpressionHelper` | `writeBitwiseNegate, writeNotExpression, writeUnaryMinus, writeUnaryPlus`
    `class Object` | `equals, toString, hashCode, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### public StaticTypesUnaryExpressionHelper(WriterController controller)

  - ### Method Detail

    - #### @Override public void writeBitwiseNegate(BitwiseNegationExpression expression)

    - #### @Override public void writeNotExpression(NotExpression expression)

    - #### @Override public void writeUnaryMinus(UnaryMinusExpression expression)

    - #### @Override public void writeUnaryPlus(UnaryPlusExpression expression)